Bug 119783 - [PATCH] devel/cscope: cleanup of temp directories upon exit
Summary: [PATCH] devel/cscope: cleanup of temp directories upon exit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-18 22:20 UTC by Sean Farley
Modified: 2008-03-13 09:40 UTC (History)
1 user (show)

See Also:


Attachments
cscope-15.6.patch (2.11 KB, patch)
2008-01-18 22:20 UTC, Sean Farley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Farley freebsd_committer 2008-01-18 22:20:00 UTC
As noted in the following bug report, vim sends a SIGTERM to cscope upon
exit.  This results in a lot of empty cscope.<PID> directories in /tmp.
This is that fix that adds the signal handler.

http://sourceforge.net/tracker/?func=detail&atid=104664&aid=1827519&group_id=4664

Cleaned up portlint warnings while I was here including consolidating the
pkg-list into the Makefile.

Removed file(s):
- pkg-plist

Port maintainer (conrads@cox.net) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-01-18 22:20:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-01-18 22:20:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sean Farley freebsd_committer 2008-03-11 22:15:33 UTC
Responsible Changed
From-To: scf->freebsd-ports-bugs

Submitter is not a ports committer.
Comment 4 Li-Wen Hsu freebsd_committer 2008-03-13 09:16:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 5 dfilter service freebsd_committer 2008-03-13 09:31:24 UTC
lwhsu       2008-03-13 09:31:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/cscope         Makefile 
    devel/cscope/files   patch-main.c 
  Removed files:
    devel/cscope         pkg-plist 
  Log:
  - Add a patch for cleanup of temp directories upon exit
  - Move PLIST into Makefile
  - Bump PORTREVISION
  
  PR:             ports/119783
  Submitted by:   scf (maintainer)
  
  Revision  Changes    Path
  1.28      +3 -1      ports/devel/cscope/Makefile
  1.2       +12 -4     ports/devel/cscope/files/patch-main.c
  1.5       +0 -2      ports/devel/cscope/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Li-Wen Hsu freebsd_committer 2008-03-13 09:31:56 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes.  This change should bump PORTREVISION. 
Thanks!